<template>
  <header>
    <nav>
      <div v-if="isMobile">
        <NavbarMoblie />
      </div>
      <div v-else>
        <NavbarDesktop />
      </div>
    </nav>
  </header>
  <main>
    <router-view></router-view>
  </main>
</template>

<script>
import NavbarDesktop from "./components/NavbarDesktop.vue";
import NavbarMoblie from "./components/NavbarMoblie.vue";

export default {
  components: {
    NavbarDesktop,
    NavbarMoblie,
  },
  data() {
    return {
      isMobile: null,
    };
  },
  mounted() {
    let mediaQuery = window.matchMedia("(max-width: 700px)");
    console.log(mediaQuery.matches);
    this.isMobile = mediaQuery.matches;

    mediaQuery.addEventListener("change", (event) => {
      this.isMobile = event.matches;
    });
  },
};
</script>

<style scoped></style>
